-- test by Rob Craig:
include fast_key.e
integer x
atom t
puts(1, "timing ...\n")
t = time()
for i = 1 to 20000 do
    x = get_key()
end for
printf(1, "get_key: %.2f\n", time()-t)

t = time()
for i = 1 to 20000 do
    x = fast_key()
end for
printf(1, "fast_key: %.2f\n", time()-t)

puts(1, "\nType a key. q to quit\n")
while 1 do
    x = fast_key()
    if x != -1 then
	? x
	if find(x, {'q', 'Q', 27, 13}) then
	    exit
	end if
    end if
end while

